# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "generic/alpine38"
  config.vm.synced_folder ".", "/vagrant_data"
  config.vm.provision "file", source: "./README.md", destination: "/var/tmp/README.md"
  config.vm.provision :shell, inline: "uname -a"
  config.vm.provision :shell, path: "useradd.sh"  
  config.vm.provision :shell, inline: <<-DOCKER
  apk update
  apk add docker
  addgroup user1 docker
  addgroup vagrant docker
  rc-update add docker default
  service docker start
  DOCKER
  config.vm.provision :shell, path: "start.sh"  
  config.vm.provision :shell, path: "push_image.sh"

end
